
Redmine - Feature #6975

Autocalculate the issue done ratio only for certain issue status

2010-11-25 11:32 - Pedro Calvo

Status: New Start date: 2010-11-25

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Though we need to use the % done field in Redmine, there is no reason not to have it work automatically for certain statuses.  For

example a "New" issue could be set automatically to 0% and a "Resolved" issue could be set to 100% done. The user could always

change pertentages if needed...

Moreover, that would be an excellent way of avoiding 0%-closed issues.

Related issues:

Has duplicate Redmine - Feature #6976: Autocalculate the issue done ratio onl... Closed 2010-11-25

History

#1 - 2010-11-27 05:17 - Mischa The Evil

Maybe the Issue Done Ratio Both plugin (provides a base to extend it to) fit your specific need. It might be worth looking at it...

#2 - 2010-11-28 16:02 - Jean-Philippe Lang

This feature was implemented in r3151.

Isn't it what you need?

#3 - 2010-11-29 10:28 - Pedro Calvo

Jean-Philippe Lang wrote:

This feature was implemented in r3151.

Isn't it what you need?

 Mischa The Evil is right: I was talking about the same functionality provided by the Issue Done Ratio Both plugin

Issue Done Ratio Both wrote:

Normally, an Issue can either have a "Done %" field that you

set manually, or it can be set automatically by certain issue

statuses (closed, etc). But not both.

 We want people to be able to set their "% Done" themselves while

they work (if they want), but when they close the ticket,

it should be marked 100% done.

 This provides another option in Settings > Issue Tracking for

allowing both types.

 The "% Done" for an issue will only be automatically updated if

you set it to a status for which you have specified a default

"% Done" value.  (Meaning you can leave it nil and it shouldn't

change.)

#4 - 2012-10-10 11:22 - LEXO IT Services Switzerland

+1

2025-07-03 1/2

https://github.com/vaz/redmine_issue_done_ratio_both
https://www.redmine.org/projects/redmine/repository/svn/revisions/3151
https://www.redmine.org/projects/redmine/repository/svn/revisions/3151
https://github.com/vaz/redmine_issue_done_ratio_both


#5 - 2015-11-01 11:53 - Jens Krämer

Since the plugin mentioned above does not seem to exist any more, I built a new one

#6 - 2015-11-26 16:47 - Toshi MARUYAMA

- Category set to Issues
https://redmine.org/plugins/redmine_percent_done
http://www.tcpdf.org

